import * as util from "../util.mjs"
const searchLoc =
// [
//                  [0, 2],
//         [-1, 1], [0, 1], [1, 1],
// [-2,0], [-1, 0],/*Start*/[1, 0], [2,0],
//         [-1,-1], [0,-1], [1,-1],
//                  [0,-2]
//
// ]
[
  [-1,1], [0,1], [1,1],
  [-1,0],        [1,0],
  [-1,-1],[0,-1],[1,-1]
]

export function generate(world, avoidLocation){
  var minesPlanted = 0;
  while (minesPlanted < world.mines || !(minesPlanted <= world.dimensions[0]*world.dimensions[1]-15)) {
    const x = util.randomNumber(0,world.dimensions[0])
    const y = util.randomNumber(0,world.dimensions[1])
    var suitable = true;
    searchLoc.forEach(loc => {
      const tempx = x + loc[0]
      const tempy = y + loc[1]
      if (tempx === avoidLocation[0] && tempy === avoidLocation[1]) {
          suitable = false;
      }
    })
    // console.log([x,y] + ":----:" + avoidLocation)
    if (x == avoidLocation[0] && y == avoidLocation[1])   { suitable = false }
    if (world.data[x][y].type == 5)                       { suitable = false }

    if (suitable) {
      world.data[x][y].type = 5
      minesPlanted++;
    }
  }

  world.isGenerated = true;
  return world;
}
